<?php
$tdatabank_accounts = array();
$tdatabank_accounts[".searchableFields"] = array();
$tdatabank_accounts[".ShortName"] = "bank_accounts";
$tdatabank_accounts[".OwnerID"] = "";
$tdatabank_accounts[".OriginalTable"] = "bank_accounts";


$tdatabank_accounts[".pagesByType"] = my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatabank_accounts[".originalPagesByType"] = $tdatabank_accounts[".pagesByType"];
$tdatabank_accounts[".pages"] = types2pages( my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatabank_accounts[".originalPages"] = $tdatabank_accounts[".pages"];
$tdatabank_accounts[".defaultPages"] = my_json_decode( "{\"list\":\"list\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatabank_accounts[".originalDefaultPages"] = $tdatabank_accounts[".defaultPages"];

//	field labels
$fieldLabelsbank_accounts = array();
$fieldToolTipsbank_accounts = array();
$pageTitlesbank_accounts = array();
$placeHoldersbank_accounts = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsbank_accounts["English"] = array();
	$fieldToolTipsbank_accounts["English"] = array();
	$placeHoldersbank_accounts["English"] = array();
	$pageTitlesbank_accounts["English"] = array();
	$fieldLabelsbank_accounts["English"]["id"] = "Id";
	$fieldToolTipsbank_accounts["English"]["id"] = "";
	$placeHoldersbank_accounts["English"]["id"] = "";
	$fieldLabelsbank_accounts["English"]["bank"] = "Bank";
	$fieldToolTipsbank_accounts["English"]["bank"] = "";
	$placeHoldersbank_accounts["English"]["bank"] = "";
	$fieldLabelsbank_accounts["English"]["account_number"] = "Account Number";
	$fieldToolTipsbank_accounts["English"]["account_number"] = "";
	$placeHoldersbank_accounts["English"]["account_number"] = "";
	if (count($fieldToolTipsbank_accounts["English"]))
		$tdatabank_accounts[".isUseToolTips"] = true;
}


	$tdatabank_accounts[".NCSearch"] = true;



$tdatabank_accounts[".shortTableName"] = "bank_accounts";
$tdatabank_accounts[".nSecOptions"] = 0;

$tdatabank_accounts[".mainTableOwnerID"] = "";
$tdatabank_accounts[".entityType"] = 0;
$tdatabank_accounts[".connId"] = "test2_at_localhost";


$tdatabank_accounts[".strOriginalTableName"] = "bank_accounts";

	



$tdatabank_accounts[".showAddInPopup"] = false;

$tdatabank_accounts[".showEditInPopup"] = false;

$tdatabank_accounts[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatabank_accounts[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatabank_accounts[".listAjax"] = false;
//	temporary
$tdatabank_accounts[".listAjax"] = false;

	$tdatabank_accounts[".audit"] = true;

	$tdatabank_accounts[".locking"] = false;


$pages = $tdatabank_accounts[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatabank_accounts[".edit"] = true;
	$tdatabank_accounts[".afterEditAction"] = 1;
	$tdatabank_accounts[".closePopupAfterEdit"] = 1;
	$tdatabank_accounts[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatabank_accounts[".add"] = true;
$tdatabank_accounts[".afterAddAction"] = 1;
$tdatabank_accounts[".closePopupAfterAdd"] = 1;
$tdatabank_accounts[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatabank_accounts[".list"] = true;
}



$tdatabank_accounts[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatabank_accounts[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatabank_accounts[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatabank_accounts[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatabank_accounts[".printFriendly"] = true;
}



$tdatabank_accounts[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatabank_accounts[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatabank_accounts[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatabank_accounts[".isUseAjaxSuggest"] = true;

$tdatabank_accounts[".rowHighlite"] = true;



																																																			

$tdatabank_accounts[".ajaxCodeSnippetAdded"] = false;

$tdatabank_accounts[".buttonsAdded"] = false;

$tdatabank_accounts[".addPageEvents"] = false;

// use timepicker for search panel
$tdatabank_accounts[".isUseTimeForSearch"] = false;


$tdatabank_accounts[".badgeColor"] = "6DA5C8";


$tdatabank_accounts[".allSearchFields"] = array();
$tdatabank_accounts[".filterFields"] = array();
$tdatabank_accounts[".requiredSearchFields"] = array();

$tdatabank_accounts[".googleLikeFields"] = array();
$tdatabank_accounts[".googleLikeFields"][] = "id";
$tdatabank_accounts[".googleLikeFields"][] = "bank";
$tdatabank_accounts[".googleLikeFields"][] = "account_number";



$tdatabank_accounts[".tableType"] = "list";

$tdatabank_accounts[".printerPageOrientation"] = 0;
$tdatabank_accounts[".nPrinterPageScale"] = 100;

$tdatabank_accounts[".nPrinterSplitRecords"] = 40;

$tdatabank_accounts[".geocodingEnabled"] = false;










$tdatabank_accounts[".pageSize"] = 20;

$tdatabank_accounts[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatabank_accounts[".strOrderBy"] = $tstrOrderBy;

$tdatabank_accounts[".orderindexes"] = array();


$tdatabank_accounts[".sqlHead"] = "SELECT id,  	bank,  	account_number";
$tdatabank_accounts[".sqlFrom"] = "FROM bank_accounts";
$tdatabank_accounts[".sqlWhereExpr"] = "";
$tdatabank_accounts[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatabank_accounts[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatabank_accounts[".arrGroupsPerPage"] = $arrGPP;

$tdatabank_accounts[".highlightSearchResults"] = true;

$tableKeysbank_accounts = array();
$tableKeysbank_accounts[] = "id";
$tdatabank_accounts[".Keys"] = $tableKeysbank_accounts;


$tdatabank_accounts[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "bank_accounts";
	$fdata["Label"] = GetFieldLabel("bank_accounts","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabank_accounts["id"] = $fdata;
		$tdatabank_accounts[".searchableFields"][] = "id";
//	bank
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "bank";
	$fdata["GoodName"] = "bank";
	$fdata["ownerTable"] = "bank_accounts";
	$fdata["Label"] = GetFieldLabel("bank_accounts","bank");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "bank";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "bank";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabank_accounts["bank"] = $fdata;
		$tdatabank_accounts[".searchableFields"][] = "bank";
//	account_number
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "account_number";
	$fdata["GoodName"] = "account_number";
	$fdata["ownerTable"] = "bank_accounts";
	$fdata["Label"] = GetFieldLabel("bank_accounts","account_number");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "account_number";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "account_number";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatabank_accounts["account_number"] = $fdata;
		$tdatabank_accounts[".searchableFields"][] = "account_number";


$tables_data["bank_accounts"]=&$tdatabank_accounts;
$field_labels["bank_accounts"] = &$fieldLabelsbank_accounts;
$fieldToolTips["bank_accounts"] = &$fieldToolTipsbank_accounts;
$placeHolders["bank_accounts"] = &$placeHoldersbank_accounts;
$page_titles["bank_accounts"] = &$pageTitlesbank_accounts;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["bank_accounts"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["bank_accounts"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_bank_accounts()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	bank,  	account_number";
$proto0["m_strFrom"] = "FROM bank_accounts";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "bank_accounts",
	"m_srcTableName" => "bank_accounts"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "bank_accounts";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "bank",
	"m_strTable" => "bank_accounts",
	"m_srcTableName" => "bank_accounts"
));

$proto8["m_sql"] = "bank";
$proto8["m_srcTableName"] = "bank_accounts";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "account_number",
	"m_strTable" => "bank_accounts",
	"m_srcTableName" => "bank_accounts"
));

$proto10["m_sql"] = "account_number";
$proto10["m_srcTableName"] = "bank_accounts";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "bank_accounts";
$proto13["m_srcTableName"] = "bank_accounts";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "id";
$proto13["m_columns"][] = "bank";
$proto13["m_columns"][] = "account_number";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "bank_accounts";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "bank_accounts";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="bank_accounts";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_bank_accounts = createSqlQuery_bank_accounts();


	
		;

			

$tdatabank_accounts[".sqlquery"] = $queryData_bank_accounts;



$tableEvents["bank_accounts"] = new eventsBase;
$tdatabank_accounts[".hasEvents"] = false;

?>